.banner-container{
    width: 100%;
    position: relative;
}

.banner-title{
    position: absolute;
    width: 100%;
    padding: 0 7.5%;
    bottom: 14vw;
    font-family: var(--titles-font);
    text-transform: uppercase;
    font-size: 1.6rem;
    letter-spacing: 0.05em;
    color: white;
    text-align: center;
    text-shadow: 2px 2px 3px rgba(0, 0, 155, 0.3);
}

.intro-container{
    width: 100%;
    padding: 2rem 7.5%;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 5px 10px 5px rgba(0, 0, 0, 0.1);
}

.intro-title{
    width: 45%;
    font-size: 1.15rem;
    font-weight: normal;
    color: var(--secondary-color);
    text-align: center;
    margin: 0;
}

.intro-btn{
    margin-top: 0.5rem;
    color: white;
    background-color: var(--primary-color);
    font-size: 1.15rem;
    font-family: var(--semibold-font);
    padding: 0.25em 1.5em;
    border-radius: 3em;
}

.services-container{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.services-p{
    margin: 5rem 0;
    width: 100%;
    padding: 0 7.5%;
    text-align: center;
    font-size: 0.9rem;
    line-height: 1.5em;
}

.services-grid{
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    padding: 0 5%;
    gap: 3rem;
}

.service-item{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.1);
}

.service-title{
    text-transform: uppercase;
    font-family: var(--bold-font);
    font-size: 0.8rem;
    color: var(--secondary-color);
    margin: 1.5rem 0 0;
    text-align: center;
}

.service-subtitle{
    font-weight: normal;
    font-size: 0.85rem;
    color: var(--secondary-color);
    margin: 0.25rem 0 1.5rem;
    text-align: center;
    padding: 0 5%;
}

.service-p{
    font-size: 0.85rem;
    line-height: 1.45em;
    padding: 0 7.5% 2rem;
    margin: 0;
}

.bubble-container{
    width: 85%;
    margin: 6rem 7.5%;
    padding: 2.5rem 12vw;
    background-color: var(--primary-color);
    border-radius: 3rem;
    position: relative;
}

.bubble-container::after{
    content: '';
    position: absolute;
    bottom: -25px;
    left: 50%;
    transform: translateX(-50%);
    width: 0px;
    height: 0px;
    border-style: solid;
    border-width: 25px 20px 0 20px;
    border-color: var(--primary-color) transparent transparent transparent;
}

.bubble-p{
    color: white;
    text-align: center;
    font-size: 0.9rem;
    line-height: 1.45em;
}

.bubble-color{
    color: #c8e9fa;
}

@media( width >= 1024px ){
    .banner-title{
        padding: 0 16%;
        bottom: 5vw;
        font-size: 3rem;
    }
    
    .intro-container{
        padding: 3rem 7.5%;
        z-index: 1;
    }
    
    .intro-title{
        width: 100%;
        font-size: 1.5rem;
    }
    
    .intro-btn{
        margin-top: 1rem;
        font-size: 1.75rem;
    }
    
    .services-p{
        margin: 7.5rem 0 6rem;
        padding: 0 30%;
        font-size: 1.15rem;
    }
    
    .services-grid{
        grid-template-columns: repeat(2, 1fr);
        padding: 0 7.5%;
        gap: 3rem 2rem;
    }
    
    .service-title{
        font-size: 1.15rem;
        margin: 2.5rem 0 0;
    }
    
    .service-subtitle{
        font-size: 1.15rem;
        margin: 0.5rem 0 2.5rem;
        padding: 0 7.5%;
    }
    
    .service-p{
        font-size: 1.15rem;
        line-height: 1.5em;
        padding: 0 7.5% 3rem;
    }
    
    .bubble-container{
        width: 50%;
        margin: 7.5rem 25%;
        padding: 2.5rem 5vw;
    }
    
    .bubble-container::after{
        bottom: -24px;
    }
    
    .bubble-p{
        font-size: 1.25rem;
        line-height: 1.5em;
    }
}